Page MenuHomePhabricator

Support https for cxserver in Production
Closed, ResolvedPublic

Description

On Special:ContentTranslation page,

Mixed Content: The page at 'https://es.wikipedia.org/wiki/Especial:ContentTranslation' was loaded over HTTPS, but requested an insecure XMLHttpRequest endpoint 'http://cxserver.wikimedia.org/languagepairs'. This request has been blocked; the content must be served over HTTPS.

ContentTranslation likely to not work without https here.

Event Timeline

KartikMistry assigned this task to akosiaris.
KartikMistry raised the priority of this task from to High.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2015, 10:55 PM
KartikMistry set Security to None.
gerritbot added a subscriber: gerritbot.

Change 185181 had a related patch set uploaded (by Alexandros Kosiaris):
Add HTTPS support to parsoid varnishes

https://gerrit.wikimedia.org/r/185181

Patch-For-Review

Change 185181 merged by Alexandros Kosiaris:
Add HTTPS support to parsoid varnishes

https://gerrit.wikimedia.org/r/185181

akosiaris closed this task as Resolved.Jan 15 2015, 4:37 PM

Both patches

https://gerrit.wikimedia.org/r/185181

and

https://gerrit.wikimedia.org/r/#/c/185194/

have been merged and

https://cxserver.wikimedia.org/languagepairs

is working fine in my tests. Resolving this, feel free to reopen

Restricted Application added a project: ContentTranslation. · View Herald TranscriptMay 25 2018, 7:04 PM